| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::EMDHistogramCostExtractor Class Referenceabstract
Shape Distance and Matching

An EMD based cost extraction. : More...

`#include <opencv2/shape/hist_cost.hpp>`

Inheritance diagram for cv::EMDHistogramCostExtractor:

## Public Member Functions
virtual int | getNormFlag () const =0
virtual void | setNormFlag (int flag)=0
Public Member Functions inherited from cv::HistogramCostExtractor
virtual void | buildCostMatrix (InputArray descriptors1, InputArray descriptors2, OutputArray costMatrix)=0
virtual float | getDefaultCost () const =0
virtual int | getNDummies () const =0
virtual void | setDefaultCost (float defaultCost)=0
virtual void | setNDummies (int nDummies)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

An EMD based cost extraction. :

## Member Function Documentation

## § getNormFlag()

virtual int cv::EMDHistogramCostExtractor::getNormFlag | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.EMDHistogramCostExtractor.getNormFlag( |  | )

## § setNormFlag()

virtual void cv::EMDHistogramCostExtractor::setNormFlag | ( | int | flag | ) |
| pure virtual

Python:
| None | = | cv.EMDHistogramCostExtractor.setNormFlag( | flag | )

The documentation for this class was generated from the following file:

- opencv2/shape/hist_cost.hpp